%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/moby/locker
Version:                1.0.1

%gometa

%global common_description %{expand:
locker provides a mechanism for creating finer-grained locking to help free up
more global locks to handle other tasks.

This is a direct pull from https://github.com/moby/moby/tree/master/pkg/locker.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Go library for locking

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Jun 08 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.0.1-2
- Rebuilt for loongarch64

* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
